export declare function getAPM(): ApmApi;
interface Span {
    addLabels: (labels: any) => void;
    setType: (type: string) => void;
    getCurrentTraceID: () => string;
    end: () => void;
}
export interface ApmApi {
    getCurrentTraceIds?: () => any;
    getCurrentTransaction: () => {
        traceparent: string;
        startSpan: (name: string) => Span;
    };
    getCurrentSpan: () => Span;
    startTransaction: (name: string, type: string, subtype: string, parent: string) => void;
    endTransaction: () => void;
}
export declare function setEventicleApm(apm: ApmApi): void;
export declare function getApmTraceparent(): string;
export declare function getApmCurrentTraceIds(): any;
export declare function withAPM(exec: (apm: ApmApi) => Promise<void>): Promise<void>;
export declare function span<T>(name: string, labels: {
    [key: string]: string;
}, exec: (span: Span) => Promise<T>): Promise<T>;
export declare function elasticApmEventicle(apm: any): ApmApi;
export {};
